PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PINECONE_INVITE_ID="9c8e3528-b9c0-4358-84ce-84c28e91b566"
curl -X GET "https://api.pinecone.io/admin/invites/$PINECONE_INVITE_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"id": "9c8e3528-b9c0-4358-84ce-84c28e91b566",
"email": "newhire@acme.com",
"status": "pending",
"expires_at": "2026-05-21T03:00:00Z",
"processed_at": null,
"created_at": "2026-04-14T20:00:00Z"
}
Get invite details
Get an invite in the caller’s organization by ID.
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PINECONE_INVITE_ID="9c8e3528-b9c0-4358-84ce-84c28e91b566"
curl -X GET "https://api.pinecone.io/admin/invites/$PINECONE_INVITE_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"id": "9c8e3528-b9c0-4358-84ce-84c28e91b566",
"email": "newhire@acme.com",
"status": "pending",
"expires_at": "2026-05-21T03:00:00Z",
"processed_at": null,
"created_at": "2026-04-14T20:00:00Z"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PINECONE_INVITE_ID="9c8e3528-b9c0-4358-84ce-84c28e91b566"
curl -X GET "https://api.pinecone.io/admin/invites/$PINECONE_INVITE_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"id": "9c8e3528-b9c0-4358-84ce-84c28e91b566",
"email": "newhire@acme.com",
"status": "pending",
"expires_at": "2026-05-21T03:00:00Z",
"processed_at": null,
"created_at": "2026-04-14T20:00:00Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Path Parameters
Invite ID
Response
The invite details. To view this invite's role bindings, call GET /admin/role-bindings with principal_type=invite as a filter.
An invitation to join the organization.
The unique ID of the invite.
The email address the invite was sent to.
The lifecycle status of an invite.
Possible values: pending, expired, processed. List endpoints return only pending and expired invites; processed is returned only when fetching a single invite by ID.
"pending"
The date and time the invite was created.
When the invite expires if not accepted. Default TTL is 7 days. Resending the invite extends this to now plus 7 days. null if the invite does not expire.
The date and time the invite was accepted. null or omitted while the invite is still pending or expired.
Was this page helpful?